net.corda.node.services.transactions

## Class ValidatingNotaryService

- SingletonSerializeAsToken
- - NotaryService
  - - net.corda.node.services.transactions.ValidatingNotaryService

- All Implemented Interfaces:
    SerializeAsToken

      public class ValidatingNotaryService
      extends NotaryService

  A Notary service that validates the transaction chain of the submitted transaction before committing it

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ValidatingNotaryService.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ValidatingNotaryService.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidatingNotaryService(ServiceHubInternal services, TimestampChecker timestampChecker, UniquenessProvider uniquenessProvider)` A Notary service that validates the transaction chain of the submitted transaction before committing it

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidatingNotaryFlow` | `createFlow(Party otherParty)` Implement a factory that specifies the transaction commit flow for the notary service to use
    `TimestampChecker` | `getTimestampChecker()`
    `UniquenessProvider` | `getUniquenessProvider()`

    - ### Methods inherited from class net.corda.node.services.transactions.NotaryService

      `createFlow`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static ValidatingNotaryService.Companion Companion

  - ### Constructor Detail

    - #### ValidatingNotaryService

          public ValidatingNotaryService(ServiceHubInternal services,
                                         TimestampChecker timestampChecker,
                                         UniquenessProvider uniquenessProvider)

      A Notary service that validates the transaction chain of the submitted transaction before committing it

  - ### Method Detail

    - #### createFlow

          public ValidatingNotaryFlow createFlow(Party otherParty)

      Implement a factory that specifies the transaction commit flow for the notary service to use

    - #### getTimestampChecker

          public TimestampChecker getTimestampChecker()

    - #### getUniquenessProvider

          public UniquenessProvider getUniquenessProvider()